/* 2025 (January 16) Gary davis */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a {
    color: #0077cc;
    text-decoration: none;
    transition: color 0.3s;
}

a:hover {
    color: #ffffff;
}

body {
	width: 100%;
	margin: 0;
	padding: 0;
	font-family: 'Roboto', sans-serif;
	color: #333;
	background: url('images/squamish_01.jpg') no-repeat center center fixed;
	background-size: cover;
}

body, ul {
	margin: 0;
	padding: 0;
}

button {
    background-color: #0077cc;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #005fa3;
}
	
footer {
	position:relative;
	width: 100%;
	background-color: #333;
	color: white;
	text-align: right;
	padding: 1rem;
	margin-top: 2rem;
}

h1, h2, h3, h4, h5, h6 {
	margin-top: 1rem;
	margin-bottom: 1rem;
    color: #222;
}

h1 {
    font-size: 2.5rem;
    color: #0077cc;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.5rem;
}

header {
	position: sticky;
	top: 0;
	left: 0;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.9);
	padding: 0rem 0rem;
	color: white;
	display: flex;
	justify-content: space-between;
	align-items: center;
	z-index: 1000;
	transition: opacity 0.5s ease, visibility 0.5s ease;
}

header.hidden {
    opacity: 0;
    visibility: hidden;
}

html {
    scroll-behavior: smooth;
	scroll-padding-top: 7.5rem;
}

img {
    float: right;
    margin-left: 1rem;
    margin-bottom: 0rem;
    width: 50%;
}

li {
	font-family: 'Roboto', sans-serif;
	margin-left: 2rem;
}

p {
	padding-bottom: 2rem;
}

ul {
	font-size: 1.1rem;
}

.content {
	padding: 2rem;
}

.content section {
	margin-bottom: 1rem;
}

.content .parallax {
	background: linear-gradient(transparent, white);
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	display: flex;
	width: 100%;
	height: 500px;
	margin-bottom: 2rem;
	box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.5);
    border-radius: 20px;
	max-width: 1600px;
}

.content .parallax-services {
	background-image: url('images/sideboom_01.jpg');
}

.content .parallax-services-training {
	background-image: url('images/ihes_training.jpg');
}

.content .parallax-services-hse {
	background-image: url('images/safety_handbooks_01.jpg');
}

.content .parallax-services-pipeline {
	background-image: url('images/spread_6b.jpg');
}

.content .parallax-services-risk {
	background-image: url('images/tank_floor.jpg');
}

.content .parallax-services-incident {
	background-image: url('images/excavator_incident_03.jpg');
}

.content .parallax-services-quality {
	background-image: url('images/reclamation_01.jpg');
}

.garhens {
	color: navy;
	font-weight: bold;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 1rem 2rem;
	width: 100%;
	box-sizing: border-box;
}

.header-right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    margin-left: auto;
	text-align: right;
	flex: 1;
}

.header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0rem;
}

.hero {
	background: url('images/squamish_01.jpg') fixed no-repeat center center/cover;
	height: 40vh;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	text-align: center;
}

.hero h1 {
	font-size: 3rem;
	margin: 0;
}

.image-wrap {
	float: left;
	margin-right: 15px;
}

.logo {
    box-shadow: none;
    width: 150px;
    height: auto;
}

.logo-container {
    flex: 0 0 auto;
}

.menu-container {
    text-align: center;
    width: 100%;
}

.menu-toggle {
    display: none;
    font-size: 1.5rem;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
}
 
.mytext-lists {
	margin-left: 1rem;
	margin-right: 1rem;
	margin-bottom: 2rem;
	align-items: left;
}

.navbar {
    display: inline-block;
    position: relative;
}

.nav-links {
    display: flex;
    justify-content: center;
    gap: 1rem;
    list-style: none;
    padding: 0;
    margin: 0;
}

.nav-links a {
	color: #00cccc;
    text-decoration: none;
    font-size: 0.8rem;
}

.nav-links a:hover {
	color: #33cc00;
	font-weight: bold;
    text-decoration: underline;
}

.nav-links.open {
		flex-direction: column;
}

.phone-number-container {
	color: #33cc00;
    text-align: right;
    margin-bottom: 0.3rem;
	font-size: 1.2rem;
}

.responsive-image {
    width: 50%;
    height: auto;
    float: right;
    margin-left: 1rem;
    margin-bottom: 1rem;
}

.scroll_notice {
	margin-bottom: 3rem;
	margin-left: 3rem;
}

.section {
	padding: 100px;
	min-height: 100vh;
	border-bottom: 1px solid #ddd;
}

.separation_bar {
	width: 100%;
	height: 20rem;
	margin-top: 3rem;
	background-color: rgba(0, 0, 0, 0.60);
	border-radius: 1rem;
	box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.5);
	max-width: 1600px;
}	

.shadow-image {
	width: 100%;
    height: auto;
    box-shadow: outset 5px 5px 8px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
	margin: auto;
}
 
.soft-box {
	display: block;
	width: 100%;
	height: auto;
	max-width: 1600px;
	padding: 0;
	background-color: rgba(255, 255, 255, 0.85);
	border-radius: 1rem;
	box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.5);
	padding: 2rem;
}

.scroll-down {
    display: block;
	position: fixed;
    bottom: 20px;
    left: 2%;
    text-align: center;
    font-family: Arial, sans-serif;
    font-size: 14px;
	font-weight: bold;
    color: #555;
    animation: bounce 1.5s infinite;
    cursor: pointer;
	padding: 1rem 1rem;
	background-color: rgba(255, 255, 255, 0.85);
	border-radius: 10px;
	box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.5);
}

.scroll-down-img {
    display: block;
	position: fixed;
    bottom: 75px;
    left: 3.25%;
    animation: bounce 1.5s infinite;    /* See @keyframes below. */
    cursor: pointer;
}

.scroll-down:hover {
    color: #0077cc;
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-10px);
    }
    60% {
        transform: translateY(-5px);
    }
}

@media (max-width: 768px) {
    body {
        font-size: 1rem;
    }

    .soft-box {
        width: 100%;
    }

    .hero {
        height: 30vh;
    }
	
	.menu-toggle {
		display: block;
	}

    .nav-links {
        display: none;
        flex-direction: column;
		width: 150px;
        gap: 1rem;
        background-color: #444;
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        padding: 1rem;
        text-align: center;
    }

    .nav-links.open {
        display: flex;
    }

    .shadow-image {
        width: 100%;
    }

    .responsive-image {
        width: 100%;
        float: none;
        margin-left: 0;
        margin-bottom: 1rem;
    }

    .content-container {
        flex-direction: column;
    }
	
    .img {
        float: none;
        margin: 0 auto;
        display: block;
        width: 100%;
    }
